public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/ceph/
Date: Thu, 16 Jun 2016 10:57:04 +0000 (UTC)	[thread overview]
Message-ID: <1466074525.77bc1af8888cde855836c526c0364d2b27955bcd.dlan@gentoo> (raw)

commit:     77bc1af8888cde855836c526c0364d2b27955bcd
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 16 10:54:58 2016 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Thu Jun 16 10:55:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77bc1af8

sys-cluster/ceph: version bump 10.2.2

Package-Manager: portage-2.3.0_rc1

 sys-cluster/ceph/Manifest           |   1 +
 sys-cluster/ceph/ceph-10.2.2.ebuild | 263 ++++++++++++++++++++++++++++++++++++
 2 files changed, 264 insertions(+)

diff --git a/sys-cluster/ceph/Manifest b/sys-cluster/ceph/Manifest
index 0ca02c7..6b25179 100644
--- a/sys-cluster/ceph/Manifest
+++ b/sys-cluster/ceph/Manifest
@@ -2,4 +2,5 @@ DIST ceph-0.80.10.tar.bz2 4136018 SHA256 a7ca8a3d0710ab88adcd5c52aebe0a8ee573e24
 DIST ceph-0.94.6.tar.gz 9131464 SHA256 d2e65e21bdecdfa1fffb2661e9be2d5382bd975a0eb8296df0e96bacc11c251f SHA512 4920857d7493769929754877e3f255cc816400757b014b0c075d65ce9c83c47a86725540fa012eb95f9c6395a477945d3a46322f3055f05345298858fec53997 WHIRLPOOL cb1a230dc1f07903b3712d9d23df718b12df219255b680737d3a746e9cbeee0d0c3ddb21da6dad1e31fb4d77aa9b3283e2dbd6e59ca38146db2ae91c5e7d4229
 DIST ceph-10.2.0.tar.gz 11667920 SHA256 1a39d919beccaa26ddfbaeac04eebb80f4d43946a59a18e2e25a9a805d5b262d SHA512 1277f08aa7f8e30d962e455d611ff21667334c27012b7a4c2e22faf0e03c0f3e3278c561ce7ea7548d065c26824e8d212b01303201d0749648b741d2a4eb0125 WHIRLPOOL 3d6e85888f74b629f67107199c4c5de5dffc2f7bdb639a24aaea8cce447710996281685623f667b95786b5218ec586ea1c0b497237ff344b857eb6cbffc28713
 DIST ceph-10.2.1.tar.gz 11697889 SHA256 f9f2f61b9d172f7ac55cde4c22564cf49d2421cdb312b0e7d191de5ab8ca8e9a SHA512 b0dfbca4ce1ebeb069455e7df068d0d3e777080f1bbf10553395106b8dbf198a74f381036c64dbe28854a221c5c5c4a0ac5eed2700b7658e829297610bcd8243 WHIRLPOOL 54c321506fc31875dfec4c4ee13335c8228ef311817cb1021694133303dd0bc9a7216aa46ad3ca529a95909b9974ece14e13db722a106f3130ed4dbc0899a07b
+DIST ceph-10.2.2.tar.gz 11541035 SHA256 7adaaeffb5a787108b5e1494df9165b6420069c0ab710e6e4aad185f423b0f6d SHA512 b47138528af3078646b52e9ea9a561eca4120473e7584c9076e949f0e9bbbdd15aa88e2287a90bd1ddb09d06c29c40181c18da58f5126a442101169ef3419b8a WHIRLPOOL f744444f2064832cba46065bd0fe64996c92bf8ed7888c075dffa9efe1d84393bd2204b38cefe11d0804ea862d0f2ff2d114ea205ff163d60e061e2e4a01db15
 DIST ceph-9.2.1.tar.gz 9933444 SHA256 1918dfc3df80df5986c5b7ff6bc6c78064eef0f6c5e8269dba30e08c703a7c2f SHA512 1e84c1e2d64f4156a523658ed11552b045f75986922b7b7dbaf4719e73a0a6aadc71eb2b94ae363526f729534a592921a437468a41a3cea88c1b84e09de8505a WHIRLPOOL 3a0eb6712e5b0235707e86129e1d66f1184f50cd4980c30f6d8cc0e7dfd96d30b91177ed16dd7abf2ad4983c6a543eb91915f74f661f7d3e3c810b5b1d656aca

diff --git a/sys-cluster/ceph/ceph-10.2.2.ebuild b/sys-cluster/ceph/ceph-10.2.2.ebuild
new file mode 100644
index 0000000..0bfbb8a
--- /dev/null
+++ b/sys-cluster/ceph/ceph-10.2.2.ebuild
@@ -0,0 +1,263 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit check-reqs autotools eutils python-r1 udev user \
+	readme.gentoo-r1 systemd versionator flag-o-matic
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="
+		git://github.com/ceph/ceph.git
+		https://github.com/ceph/ceph.git"
+	SRC_URI=""
+else
+	SRC_URI="http://ceph.com/download/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Ceph distributed filesystem"
+HOMEPAGE="http://ceph.com/"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+IUSE="babeltrace cephfs cryptopp debug fuse gtk jemalloc ldap +libaio"
+IUSE+=" libatomic lttng +nss +radosgw static-libs tcmalloc test xfs zfs"
+
+# unbundling code commented out pending bugs 584056 and 584058
+#>=dev-libs/jerasure-2.0.0-r1
+#>=dev-libs/gf-complete-2.0.0
+COMMON_DEPEND="
+	app-arch/snappy
+	dev-libs/boost:=[threads]
+	dev-libs/libaio
+	dev-libs/libedit
+	dev-python/sphinx[$(python_gen_usedep 'python2*')]
+	dev-libs/leveldb[snappy]
+	nss? ( dev-libs/nss )
+	libatomic? ( dev-libs/libatomic_ops )
+	cryptopp? ( dev-libs/crypto++ )
+	sys-apps/keyutils
+	sys-apps/util-linux
+	dev-libs/libxml2
+	radosgw? ( dev-libs/fcgi )
+	ldap? ( net-nds/openldap )
+	babeltrace? ( dev-util/babeltrace )
+	fuse? ( sys-fs/fuse )
+	xfs? ( sys-fs/xfsprogs )
+	zfs? ( sys-fs/zfs )
+	gtk? (
+		x11-libs/gtk+:2
+		dev-cpp/gtkmm:2.4
+		gnome-base/librsvg
+	)
+	radosgw? (
+		dev-libs/fcgi
+		dev-libs/expat
+		net-misc/curl
+	)
+	jemalloc? ( dev-libs/jemalloc )
+	!jemalloc? ( dev-util/google-perftools )
+	lttng? ( dev-util/lttng-ust )
+	${PYTHON_DEPS}
+	"
+DEPEND="${COMMON_DEPEND}
+	dev-python/cython[${PYTHON_USEDEP}]
+	app-arch/cpio
+	sys-apps/lsb-release
+	virtual/pkgconfig
+	test? (
+		sys-fs/btrfs-progs
+		sys-apps/grep[pcre]
+		dev-python/tox[${PYTHON_USEDEP}]
+		dev-python/virtualenv[${PYTHON_USEDEP}]
+	)"
+RDEPEND="${COMMON_DEPEND}
+	sys-apps/which
+	sys-apps/hdparm
+	sys-block/parted
+	sys-fs/cryptsetup
+	sys-apps/gptfdisk
+	sys-apps/findutils
+	dev-python/flask[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	"
+REQUIRED_USE="
+	$(python_gen_useflags 'python2*')
+	${PYTHON_REQUIRED_USE}
+	^^ ( nss cryptopp )
+	?? ( jemalloc tcmalloc )
+	"
+
+# work around bug in ceph compilation (rgw/ceph_dencoder-rgw_dencoder.o... undefined reference to `vtable for RGWZoneGroup')
+REQUIRED_USE+="	radosgw"
+
+RESTRICT="test? ( userpriv )"
+
+# distribution tarball does not include everything needed for tests
+RESTRICT+=" test"
+
+STRIP_MASK="/usr/lib*/rados-classes/*"
+
+UNBUNDLE_LIBS=(
+	src/erasure-code/jerasure/jerasure
+	src/erasure-code/jerasure/gf-complete
+)
+
+PATCHES=(
+	"${FILESDIR}/ceph-10.2.0-dont-use-virtualenvs.patch"
+	#"${FILESDIR}/ceph-10.2.1-unbundle-jerasure.patch"
+	"${FILESDIR}/${PN}-10.2.1-libzfs.patch"
+	"${FILESDIR}/${PN}-10.2.1-armv7l-doesnt-support-momit-leaf-frame-pointer.patch"
+)
+
+check-reqs_export_vars() {
+	if use debug; then
+		CHECKREQS_DISK_BUILD="23G"
+		CHECKREQS_DISK_USR="7G"
+	elif use amd64; then
+		CHECKREQS_DISK_BUILD="12G"
+		CHECKREQS_DISK_USR="450M"
+	else
+		CHECKREQS_DISK_BUILD="1400M"
+		CHECKREQS_DISK_USR="450M"
+	fi
+
+	export CHECKREQS_DISK_BUILD CHECKREQS_DISK_USR
+}
+
+user_setup() {
+	enewgroup ceph
+	enewuser ceph -1 -1 /var/lib/ceph ceph
+}
+
+emake_python_bindings() {
+	local action="${1}" params binding
+	shift
+	params=("${@}")
+
+	__emake_python_bindings_do_impl() {
+		emake "${params[@]}" PYTHON="${EPYTHON}" "${binding}-pybind-${action}"
+
+		# these don't work and aren't needed on python3
+		if [[ ${EBUILD_PHASE} == install ]] && python_is_python3; then
+			rm -f "${ED}/$(python_get_sitedir)"/ceph_{argparse,volume_client}.py
+		fi
+	}
+
+	pushd "${S}/src"
+	for binding in rados rbd $(use cephfs && echo cephfs); do
+		python_foreach_impl __emake_python_bindings_do_impl
+	done
+	popd
+
+	unset __emake_python_bindings_do_impl
+}
+
+pkg_pretend() {
+	check-reqs_export_vars
+	check-reqs_pkg_pretend
+}
+
+pkg_setup() {
+	python_setup
+	check-reqs_export_vars
+	check-reqs_pkg_setup
+	user_setup
+}
+
+src_prepare() {
+	default
+
+	# remove tests that need root access
+	rm src/test/cli/ceph-authtool/cap*.t
+
+	#rm -rf "${UNBUNDLE_LIBS[@]}"
+
+	append-flags -fPIC
+	eautoreconf
+}
+
+src_configure() {
+	local myeconfargs=(
+		--without-hadoop
+		--includedir=/usr/include
+		$(use_with cephfs)
+		$(use_with debug)
+		$(use_with fuse)
+		$(use_with libaio)
+		$(use_with libatomic libatomic-ops)
+		$(use_with nss)
+		$(use_with cryptopp)
+		$(use_with radosgw)
+		$(use_with gtk gtk2)
+		$(use_enable static-libs static)
+		$(use_with jemalloc)
+		$(use_with xfs libxfs)
+		$(use_with zfs libzfs)
+		$(use_with lttng )
+		$(use_with babeltrace)
+		$(use_with ldap openldap)
+		$(use jemalloc || usex tcmalloc " --with-tcmalloc" " --with-tcmalloc-minimal")
+		--with-mon
+		--with-eventfd
+		--with-cython
+		--without-kinetic
+		--without-librocksdb
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+	)
+
+	# we can only use python2.7 for building at the moment
+	python_export python2.7 PYTHON EPYTHON
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	emake
+	emake_python_bindings all
+
+	use test && emake check-local
+}
+
+src_test() {
+	make check || die "make check failed"
+}
+
+src_install() {
+	default
+	emake_python_bindings install-exec "DESTDIR=\"${D}\""
+
+	prune_libtool_files --all
+
+	exeinto /usr/$(get_libdir)/ceph
+	newexe src/init-ceph ceph_init.sh
+
+	insinto /etc/logrotate.d/
+	newins "${FILESDIR}"/ceph.logrotate ${PN}
+
+	keepdir /var/lib/${PN}{,/tmp} /var/log/${PN}/stat
+
+	fowners ceph:ceph /var/lib/ceph
+
+	newinitd "${FILESDIR}/rbdmap.initd" rbdmap
+	newinitd "${FILESDIR}/${PN}.initd-r2" ${PN}
+	newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
+
+	systemd_install_serviced "${FILESDIR}/ceph-mds_at.service.conf" "ceph-mds@.service"
+	systemd_install_serviced "${FILESDIR}/ceph-osd_at.service.conf" "ceph-osd@.service"
+	systemd_install_serviced "${FILESDIR}/ceph-mon_at.service.conf" "ceph-mon@.service"
+
+	python_fix_shebang "${ED}"/usr/{,s}bin/
+
+	udev_dorules udev/*.rules
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2016-06-16 10:57 UTC|newest]

Thread overview: 286+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-16 10:57 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-25  6:36 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/ceph/ Sam James
2025-01-08 20:46 Arthur Zamarin
2025-01-08 20:44 Arthur Zamarin
2024-12-01 12:52 Sam James
2024-11-01 19:13 Andreas K. Hüttel
2024-10-04 11:54 Patrick Lauer
2024-10-04 11:49 Sam James
2024-10-04  9:50 Jakov Smolić
2024-10-04  6:59 Patrick Lauer
2024-10-04  6:57 Patrick Lauer
2024-10-04  6:57 Patrick Lauer
2024-10-01  9:32 Patrick Lauer
2024-08-02  7:03 Patrick Lauer
2024-08-01 16:47 Patrick Lauer
2024-08-01 13:47 Patrick Lauer
2024-08-01 10:09 Patrick Lauer
2024-07-30 12:29 Patrick Lauer
2024-07-30 12:29 Patrick Lauer
2024-06-03  7:16 Patrick Lauer
2024-06-03  6:44 Patrick Lauer
2024-04-01 17:55 Patrick McLean
2024-03-26 18:19 Patrick McLean
2024-03-16 17:32 Patrick McLean
2024-03-12 21:39 Patrick McLean
2024-03-06  2:14 Patrick McLean
2024-03-06  2:14 Patrick McLean
2024-03-06  0:14 Patrick McLean
2024-01-20 12:36 Sam James
2024-01-08 12:28 Sam James
2024-01-08 12:03 Sam James
2024-01-08  9:48 Sam James
2024-01-03 18:52 Arthur Zamarin
2023-12-28  2:57 Sam James
2023-12-22  7:21 Arthur Zamarin
2023-11-05 19:19 Arthur Zamarin
2023-09-13  5:47 Sam James
2023-09-12  1:24 Patrick McLean
2023-08-10 21:02 Patrick McLean
2023-06-28  7:37 Sam James
2023-06-26 19:50 Sam James
2023-06-08  0:07 Patrick McLean
2023-06-06 10:05 Sam James
2023-06-03  1:54 Sam James
2023-05-10  0:07 Patrick McLean
2023-05-01 17:45 Patrick McLean
2023-05-01 13:43 Sam James
2023-05-01 13:19 Sam James
2023-05-01 12:49 Sam James
2023-05-01  1:43 Sam James
2023-04-22  2:13 Patrick McLean
2023-04-17 17:52 Patrick McLean
2023-04-11 23:28 Patrick McLean
2023-03-17 17:49 Patrick McLean
2023-03-17 17:49 Patrick McLean
2023-03-14 18:51 Patrick McLean
2023-02-02 18:50 Patrick McLean
2023-01-26  0:20 Patrick McLean
2023-01-20  1:37 Sam James
2023-01-18 22:44 Sam James
2022-12-07 13:52 David Seifert
2022-12-07 13:52 David Seifert
2022-11-15 20:09 Michał Górny
2022-10-31 18:07 Patrick McLean
2022-09-04 13:03 David Seifert
2022-09-04 12:23 David Seifert
2022-08-24 17:10 Patrick McLean
2022-08-23 19:26 Sam James
2022-08-23 19:04 Patrick McLean
2022-08-23  9:09 罗百科
2022-08-22 20:29 Patrick McLean
2022-08-12 20:29 Patrick McLean
2022-08-10 20:21 Patrick McLean
2022-08-03  5:23 Patrick McLean
2022-07-22 20:25 Patrick McLean
2022-07-22 20:25 Patrick McLean
2022-07-22 20:25 Patrick McLean
2022-07-13  1:41 Patrick McLean
2022-07-07 18:33 Patrick McLean
2022-07-07 18:32 Patrick McLean
2022-05-19 16:23 Patrick McLean
2022-05-17 21:31 Patrick McLean
2022-05-05  7:32 Arthur Zamarin
2022-05-04 23:31 Sam James
2022-05-04 23:24 Patrick McLean
2022-05-04 23:18 Patrick McLean
2022-05-04 23:17 Patrick McLean
2022-04-29  0:31 Patrick McLean
2022-04-28  1:44 Yixun Lan
2022-03-03  2:46 Matt Turner
2022-03-03  2:00 Patrick McLean
2022-03-03  1:52 Patrick McLean
2022-03-03  1:52 Patrick McLean
2022-02-01 19:02 Michał Górny
2022-01-06 10:39 David Seifert
2021-12-08 19:21 Patrick McLean
2021-11-26 20:20 Patrick McLean
2021-11-26 19:46 Patrick McLean
2021-11-26 19:36 Patrick McLean
2021-11-03 17:06 Patrick McLean
2021-10-29 21:18 Patrick McLean
2021-10-23  0:22 Patrick McLean
2021-09-22  6:54 Agostino Sarubbo
2021-09-17  1:20 Patrick McLean
2021-09-02  1:49 Patrick McLean
2021-07-30 23:31 Sam James
2021-07-20  2:43 Sam James
2021-07-13 18:39 Patrick McLean
2021-07-10 18:54 Sam James
2021-07-01  0:51 Patrick McLean
2021-06-18 19:18 David Seifert
2021-06-08 17:22 Patrick McLean
2021-05-31 21:30 Michał Górny
2021-05-26 20:55 Thomas Deutschmann
2021-05-24 20:44 Sam James
2021-05-14  1:10 Patrick McLean
2021-05-06 20:46 Patrick McLean
2021-04-20 22:38 Patrick McLean
2021-04-03  4:20 Patrick McLean
2021-03-31  1:57 Patrick McLean
2021-03-25 19:07 Patrick McLean
2021-03-20  6:56 Patrick McLean
2021-03-16  0:44 Patrick McLean
2021-03-12 19:05 Patrick McLean
2021-03-02  3:32 Patrick McLean
2021-03-02  3:32 Patrick McLean
2021-02-27  2:48 Patrick McLean
2021-02-26  0:44 Patrick McLean
2021-01-20 22:09 Patrick McLean
2021-01-01 23:00 Sam James
2020-12-21 20:20 Patrick McLean
2020-12-21 20:20 Patrick McLean
2020-12-12 19:58 Patrick McLean
2020-12-01  3:27 Patrick McLean
2020-11-26 17:25 Sam James
2020-11-25  5:34 Patrick McLean
2020-11-25  4:47 Patrick McLean
2020-11-25  4:45 Patrick McLean
2020-11-24  2:54 Patrick McLean
2020-11-20 22:26 Sam James
2020-11-19  7:29 Patrick McLean
2020-11-19  7:29 Patrick McLean
2020-11-09 16:06 Ulrich Müller
2020-11-09 14:59 Benda XU
2020-11-03  0:15 Patrick McLean
2020-10-22 18:34 Patrick McLean
2020-09-16 23:52 Patrick McLean
2020-09-16 23:52 Patrick McLean
2020-08-14 23:22 Andreas Sturmlechner
2020-08-11 22:45 Patrick McLean
2020-07-24 18:42 Patrick McLean
2020-07-01  0:11 Patrick McLean
2020-06-01  6:41 Georgy Yakovlev
2020-05-31 19:00 Patrick McLean
2020-05-18 23:19 Patrick McLean
2020-04-23 20:48 Patrick McLean
2020-04-23 20:44 Patrick McLean
2020-04-23 20:44 Patrick McLean
2020-04-23 20:44 Patrick McLean
2020-04-23 20:44 Patrick McLean
2020-04-15 21:59 Patrick McLean
2020-04-15 21:58 Patrick McLean
2020-04-14 17:26 Patrick McLean
2020-04-08  2:20 Patrick McLean
2020-04-03  7:05 Patrick McLean
2020-02-25  8:17 Georgy Yakovlev
2020-02-25  2:05 Patrick McLean
2020-02-05 20:01 Patrick McLean
2020-02-05 19:57 Patrick McLean
2020-02-05 19:57 Patrick McLean
2020-02-05 19:57 Patrick McLean
2020-02-03 22:53 Patrick McLean
2020-01-26 17:11 Michał Górny
2020-01-15  7:20 Michał Górny
2020-01-14  0:10 Patrick McLean
2019-12-21  9:09 Georgy Yakovlev
2019-11-21  2:12 Patrick McLean
2019-11-14  1:01 Patrick McLean
2019-11-09  0:21 Patrick McLean
2019-09-17 22:57 Patrick McLean
2019-05-15 13:25 Patrick Lauer
2019-04-29 22:57 Patrick McLean
2019-04-29 22:57 Patrick McLean
2019-04-17 18:07 Aaron Bauman
2019-04-17  1:36 Patrick McLean
2019-04-17  1:26 Patrick McLean
2019-04-15 23:35 Patrick McLean
2019-04-15 23:33 Patrick McLean
2019-04-15 23:29 Patrick McLean
2019-04-06 12:45 Agostino Sarubbo
2019-03-22 23:07 Patrick McLean
2019-03-21 17:15 Patrick McLean
2019-03-21 17:15 Patrick McLean
2019-03-15 21:18 Patrick McLean
2019-03-15 21:18 Patrick McLean
2019-03-15 21:18 Patrick McLean
2019-02-01  2:38 Patrick McLean
2019-01-08 18:26 Patrick McLean
2018-11-30  1:28 Patrick McLean
2018-11-08  1:51 Patrick McLean
2018-10-31 22:33 Patrick McLean
2018-10-31 22:33 Patrick McLean
2018-10-25 23:27 Patrick McLean
2018-10-20 12:11 Mikle Kolyada
2018-10-19 17:52 Thomas Deutschmann
2018-10-14 11:40 Pacho Ramos
2018-10-14 10:18 Pacho Ramos
2018-09-05 23:48 Patrick McLean
2018-09-05 23:48 Patrick McLean
2018-08-16 23:19 Mikle Kolyada
2018-08-09 22:19 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-31 23:54 Patrick McLean
2018-07-17 20:57 Patrick McLean
2018-07-11 13:36 Mikle Kolyada
2018-07-11  0:57 Thomas Deutschmann
2018-07-11  0:43 Patrick McLean
2018-07-11  0:43 Patrick McLean
2018-07-03  0:19 Patrick McLean
2018-06-17 20:34 David Seifert
2018-06-13 17:52 Patrick McLean
2018-04-24 22:28 Patrick McLean
2018-04-15  8:38 Michał Górny
2018-03-06 19:59 Patrick McLean
2018-03-03  9:47 Michał Górny
2017-12-23 20:01 Patrick McLean
2017-12-23 20:01 Patrick McLean
2017-10-06 21:03 Patrick McLean
2017-10-06 21:03 Patrick McLean
2017-09-21 18:36 Patrick McLean
2017-09-01  3:55 Zac Medico
2017-07-31 20:31 Patrick McLean
2017-07-30  9:23 Michał Górny
2017-07-27 21:27 Patrick McLean
2017-07-27 21:27 Patrick McLean
2017-07-11  2:18 Patrick McLean
2017-07-10  9:10 Alexis Ballier
2017-04-11 22:17 Patrick McLean
2017-02-28 18:11 Patrick McLean
2017-02-28  4:30 Patrick McLean
2017-02-28  0:13 Patrick McLean
2017-02-28  0:13 Patrick McLean
2016-12-12 12:51 Yixun Lan
2016-12-08  5:58 Yixun Lan
2016-11-20 13:08 Agostino Sarubbo
2016-11-20 13:04 Agostino Sarubbo
2016-11-04  3:02 Yixun Lan
2016-11-04  3:02 Yixun Lan
2016-11-04  3:02 Yixun Lan
2016-11-03 15:50 Patrick McLean
2016-10-14 19:04 Patrick McLean
2016-10-14 18:19 Patrick McLean
2016-10-04 10:07 Alexis Ballier
2016-07-01 17:55 Patrick McLean
2016-07-01  8:30 Agostino Sarubbo
2016-07-01  8:29 Agostino Sarubbo
2016-06-30 23:55 Patrick McLean
2016-06-17 16:27 Alexis Ballier
2016-06-17 16:27 Alexis Ballier
2016-06-17 16:27 Alexis Ballier
2016-06-17 11:39 Alexis Ballier
2016-05-12 21:05 Patrick McLean
2016-05-12 19:02 Patrick McLean
2016-05-12 19:02 Patrick McLean
2016-05-12 19:02 Patrick McLean
2016-03-15  3:21 Yixun Lan
2016-02-18  4:24 Yixun Lan
2015-12-04 23:26 Robin H. Johnson
2015-11-05  8:15 Yixun Lan
2015-10-21  2:04 Yixun Lan
2015-10-20  9:56 Yixun Lan
2015-10-14 21:24 Patrick McLean
2015-10-14 21:24 Patrick McLean
2015-09-25  8:11 Justin Lecher
2015-09-24  8:34 Sergey Popov
2015-09-02  6:18 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1466074525.77bc1af8888cde855836c526c0364d2b27955bcd.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox